bundle and jdbc gems
2017-04-26 21:52 - James H

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 3.33
Description

While upgrading (3.2.x to 3.3.2 and 3.3.2 to 3.3.3), running bundle install immediately pops these notices out:

The dependency activerecord-jdbc-adapter
is installing for. Bundler is installing for x64-mingw32 but the dependency is only for Jjava.

(~> 1.3.2) will be unused by any of the platforms Bundler

add those platforms to the bundle, run "bundle lock --add-platform java' .

To

The dependency activerecord-jdbcmysgl-adapter (>= 0) will be unused by any of the platforms Bundle

r is installing for. Bundler is installing for x64-mingw32 but the dependency is only for java.

add those platforms to the bundle, run “bundle lock --add-platform java'.

It displays this message for 30sec-1minute before continuing. The bundle eventually runs and does it thing without much issue.

To

Associated revisions

Revision 16517 - 2017-04-07 00:10 - Toshi MARUYAMA

Gemfile: remove jruby definitions

History

#1 - 2017-04-27 06:04 - Toshi MARUYAMA

- Status changed from New to Closed

| removed jruby definition from Gemfile in r16517 because those outputs are annoying and jruby does not support rails.

https://github.com/flavorjones/loofah/issues/88

Now this is output on my CentOS 7.

The dependency ffi (= 1.9.14) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only
for x86-mingw32. To add those platforms to the bundle, run "bundle lock --add-platform x86-mingw32".
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is
only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run “bundle lock --add-platform x86-mingw32 x64-mingw32

x86-mswin32".
